;; Define the project 
(add-to-list 'org-publish-project-alist
	'("igoumeninja-home"
	 :base-directory "~/Sites/org/"
	 :base-extension "org"
	 :publishing-directory "~/Sites/org/html/"
	 :section-numbers nil
	 :table-of-contents nil
	 :recursive nil
	 :publishing-function org-publish-org-to-html
	 :headline-levels 4        
	 :auto-preamble t
	 :preamble 
	 "
<div id=\"toc\">
<a href=\"http://igoumeninja.org/en/pmwiki.php\">Wiki</a> | 
<a href=\"http://igoumeninja.org/en/pmwiki.php/Site/About\">Contact</a> |
</div> 

<div style = \"position: absolute; top: 10px; right: 100px; \">
 <FORM METHOD=\"POST\" ACTION=\"/tools/processing/cgi-bin/3.0/search_engine.cgi\"><INPUT TYPE=\"text\" SIZE=\"20\" NAME=\"keywords\" MAXLENGTH=\"80\"><INPUT TYPE=\"SUBMIT\" VALUE=\"Search\"></FORM> 
</div>

"
	 :style 
"
<link rel=\"stylesheet\" href=\"./media/css/my-css.css\" type=\"text/css\"/>
"
	 :auto-index t
	 :table-of-contents t
	 :author "Aris Bezas"
	 :email  "aribezas AT gmail DOT com"
        )
)

(add-to-list 'org-publish-project-alist
	'("igoumeninja-home-files"
	 :base-directory "~/Sites/org/media/"
	 :base-extension "css\\|js\\|png\\|jpg\\|gif\\|pdf\\|mp3\\|ogg\\|swf\\|zip\\|js"
	 :publishing-directory "~/Sites/org/html/media/"
	 :recursive t
	 :publishing-function org-publish-attachment
	 )
)

;; Create some shortcuts

;; Upload tools html with rsync
(defun upload-igoumeninja-files-with-rsync ()
  "send tools html files to bluehost with rsync"
  (interactive)

  (shell)
  (insert-string "rsync -avz -e ssh --exclude 'ambiant' --exclude '*.html~' --exclude 'config' ~/Sites/org/html/ igoumeni@igoumeninja.org:~/public_html/org/")
)

;; Publish tools
(defun igoumeninja-publish ()
  "publish project"
  (interactive)
  ;; igoumeninja-home
  (org-publish-project "igoumeninja-home" t)
  (org-publish-project "igoumeninja-home-files" t)
  (upload-igoumeninja-files-with-rsync)
)
(global-set-key (kbd "M-C-p") 'igoumeninja-publish)





